Skip to main content
Nowledge MemNowledge Mem

Parse Thread Content

POST
/threads/parse

Parse thread content from various formats.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request for parsing thread content.

Response Body

application/json

application/json

curl -X POST "https://example.com/threads/parse" \  -H "Content-Type: application/json" \  -d '{    "file_content": "string",    "file_name": "string"  }'
{  "success": true,  "parsed_thread": {},  "format_detected": "string",  "error": "string"}